org.apache.lucene.queryParser.standard.config

## Interface DateResolutionAttribute

- All Superinterfaces:
    Attribute
  All Known Implementing Classes:
    DateResolutionAttributeImpl

      public interface DateResolutionAttribute
      extends Attribute

  This attribute is used by `ParametricRangeQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor which `DateTools.Resolution` to use when parsing the date.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DateTools.Resolution` | `getDateResolution()`
    `void` | `setDateResolution(DateTools.Resolution dateResolution)` Sets the default date resolution used by `RangeQueryNode`s for fields for which no specific date resolutions has been set.

- - ### Method Detail

    - #### setDateResolution

          void setDateResolution(DateTools.Resolution dateResolution)

      Sets the default date resolution used by `RangeQueryNode`s for fields for which no specific date resolutions has been set. Field specific resolutions can be set with
      Parameters:
        `dateResolution` - the default date resolution to set

    - #### getDateResolution

          DateTools.Resolution getDateResolution()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.